#if !defined(AFX_STATICLINK_H__1CEE8040_65B7_11D4_B8C4_C367DE32AC43__INCLUDED_)
#define AFX_STATICLINK_H__1CEE8040_65B7_11D4_B8C4_C367DE32AC43__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StaticLink.h : header file
//
// Copyright 1998 Paul DiLascia
// If this code works, it was written by Paul DiLascia.
// If not, I don't know who wrote it.
//
// CStaticLink implements a static control that's a hyperlink
// to any file on your desktop or web. You can use it in dialog boxes
// to create hyperlinks to web sites. When clicked, opens the file/URL


/////////////////////////////////////////////////////////////////////////////
// CStaticLink window
#include "WindowTip.h"

class CStaticLink : public CStatic
{
public:
	CStaticLink();
	virtual ~CStaticLink();
	BOOL SubclassDlgItem(UINT nID, CWnd* pParent, LPCTSTR lpszText = NULL ,LPCTSTR lpszLink = NULL);

	CString GetLink() { return m_link; }
	void SetLink(LPCTSTR lpszLink) {  m_link = lpszLink; }

	static UINT SetTipID( UINT uID) {
		return uTipID = uID;
	}
	
	//returns the previous state
	BOOL EnableWindowTip(BOOL bEnable) {
		BOOL bPrevState = bWindowTipEnabled;
		bWindowTipEnabled = bEnable;
		return bPrevState;
	}
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStaticLink)
	protected:
	virtual void PreSubclassWindow();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CStaticLink)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg HBRUSH CtlColor(CDC* pDC, CWnd* pWnd);
	//}}AFX_MSG

	static COLORREF g_colorUnvisited;
	static COLORREF g_colorVisited;
	static HCURSOR	 g_hCursorLink;
	static CFont m_font; //regular font
	static CFont m_fontU;// underlined font

	static CWindowTip  m_tooltip;
	static UINT  uTipID;

	BOOL bWindowTipEnabled;
protected:
	COLORREF	m_color;

	void SetDCStatus(CDC *pDC);

	DECLARE_MESSAGE_MAP()

protected:
	enum MOUSE_STATE{ MOUSE_OUT = 0 , MOUSE_OVER = 1 };
	MOUSE_STATE GetState() {  return iState; }
	MOUSE_STATE SetState( MOUSE_STATE iNewState) {
		iPrevState = iState;
		return iState = iNewState;
	}
	void OnMouseEnter();
	void OnMouseLeave();
	MOUSE_STATE  iState , iPrevState;

	BOOL CreateToolTip(); //creating the static variable of tooltip
	BOOL Navigate();
	CString  m_link;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATICLINK_H__1CEE8040_65B7_11D4_B8C4_C367DE32AC43__INCLUDED_)
